PHP update

Bash, Shell, PHP, Python, Perl, CGI
umbroboy
Posts: 258
Joined: 2005-05-11 11:49

PHP update

Post by umbroboy »

Hallo,

wegen einem Paket von Pear muss ich mein PHP auf 4.4. updaten.

Kann mir jemand sagen, wie ich das am unkompliziertesen mache?

habe debian sarge.

Viele Grüße
umbroboy
User avatar
Joe User
Project Manager
Project Manager
Posts: 11176
Joined: 2003-02-27 01:00
Location: Hamburg

Re: PHP update

Post by Joe User »

Code: Select all

apt-get install php4-cli
PayPal.Me/JoeUserFreeBSD Remote Installation
Wings for LifeWings for Life World Run

„If there’s more than one possible outcome of a job or task, and one
of those outcomes will result in disaster or an undesirable consequence,
then somebody will do it that way.“ -- Edward Aloysius Murphy Jr.
umbroboy
Posts: 258
Joined: 2005-05-11 11:49

Re: PHP update

Post by umbroboy »

das ist aber schon die neue version die ich hab.

Ich versuche das hier:

Code: Select all

pear install HTTP_Webdav_Server-1.0.0RC3
Dann kommt aber das hier:

downloading HTTP_WebDAV_Server-1.0.0RC3.tgz ...
Starting to download HTTP_WebDAV_Server-1.0.0RC3.tgz (26,359 bytes)
.........done: 26,359 bytes
PHP version >= 4.4 is required
HTTP_WebDAV_Server: Dependencies failed

derzeit ist diese version drauf:
  • PHP 4.3.10-16 (cli) (built: Aug 24 2005 20:25:01)
User avatar
Joe User
Project Manager
Project Manager
Posts: 11176
Joined: 2003-02-27 01:00
Location: Hamburg

Re: PHP update

Post by Joe User »

PayPal.Me/JoeUserFreeBSD Remote Installation
Wings for LifeWings for Life World Run

„If there’s more than one possible outcome of a job or task, and one
of those outcomes will result in disaster or an undesirable consequence,
then somebody will do it that way.“ -- Edward Aloysius Murphy Jr.
umbroboy
Posts: 258
Joined: 2005-05-11 11:49

Re: PHP update

Post by umbroboy »

hi joe,

das muss ich jetzt aber nicht verstehen oder?

liegt es vielleicht an der paket liste?

Kannst du mir die mal schicken, weil da steht nämlich überral mein anbieter drin, vielleicht haben die das einfach nicht.

ein

Code: Select all

apt-get update 
hab ich auch schon gemacht.

umbroboy
umbroboy
Posts: 258
Joined: 2005-05-11 11:49

Re: PHP update

Post by umbroboy »

bei stable gibt es doch nur di:

4:4.3.10-16: alpha amd64 arm hppa i386 ia64 mips mipsel powerpc s390 sparc
4:4.3.10-15: amd64

4.3.10

die 4: gehört doch nicht dazu...

wenn dann muss ich doch das file von testing nehmen.
User avatar
Joe User
Project Manager
Project Manager
Posts: 11176
Joined: 2003-02-27 01:00
Location: Hamburg

Re: PHP update

Post by Joe User »

umbroboy wrote:wenn dann muss ich doch das file von testing nehmen.
Das ist der Preis einer "stabilen", sprich veralteten, Distribution. Alternativ kannst Du einen (eigenen) Backport installieren.

Code: Select all

sed 's|ANBIETERSERVER|ftp://de.debian.org/|g' -i /etc/apt/sources.list
PayPal.Me/JoeUserFreeBSD Remote Installation
Wings for LifeWings for Life World Run

„If there’s more than one possible outcome of a job or task, and one
of those outcomes will result in disaster or an undesirable consequence,
then somebody will do it that way.“ -- Edward Aloysius Murphy Jr.